source: trunk/.travis.yml @ 875

Last change on this file since 875 was 859, checked in by cito, 4 years ago

Revert PostgreSQL versions in Travis config

Seems Travis still doesn't support Pg 9.5, and 9.1 should still work.

File size: 413 bytes
Line 
1# Travis CI configuration
2# see https://docs.travis-ci.com/user/languages/python
3
4language: python
5
6python:
7  - "2.6"
8  - "2.7"
9  - "3.3"
10  - "3.4"
11  - "3.5"
12
13install:
14  - pip install .
15  - if [[ $TRAVIS_PYTHON_VERSION == 2.6 ]]; then pip install unittest2; fi
16
17script: python setup.py test
18
19addons:
20  postgresql: "9.4"
21
22services:
23  - postgresql
24
25before_script:
26  - psql -U postgres -c 'create database unittest'
Note: See TracBrowser for help on using the repository browser.